Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.rmi
Class RMISecurityManager

    java.lang.Object
      java.lang.SecurityManager
          weblogic.rmi.RMISecurityManager

Deprecated. 9.0.0.0 Replaced by java.rmi.RMISecurityManager

    public final class RMISecurityManager

extends SecurityManager

WebLogic implements this class for compatibility with `java.rmi.RMISecurityManager`.

The `weblogic.rmi.RMISecurityManager` is very permissive. Unlike other security managers that restrict access, this security manager allows all accesses. Behavior that results from installing a separate security manager for each remote class is not consistent with the behavior of the T3Server. Consequently, WebLogic's RmiT3 depends on security built into the T3Server framework, including user authentication and encryption via SSL, the use of ACLs, and other more security measures that operate consistently system-wide.

Field Summary

Fields inherited from class java.lang.SecurityManager
`inCheck`

Constructor Summary
`RMISecurityManager()` Deprecated.

Method Summary
`boolean` | `assessTrust(Object[] o)` Deprecated.
`void` | `checkAccept(String s, int i)` Deprecated.
`void` | `checkAccess(Thread t)` Deprecated.
`void` | `checkAccess(ThreadGroup t)` Deprecated.
`void` | `checkAwtEventQueueAccess()` Deprecated.
`void` | `checkConnect(String s, int i)` Deprecated.
`void` | `checkConnect(String s, int i, Object o)` Deprecated.
`void` | `checkCreateClassLoader()` Deprecated.
`void` | `checkDelete(String s)` Deprecated.
`void` | `checkExec(String s)` Deprecated.
`void` | `checkExit(int i)` Deprecated.
`void` | `checkLink(String s)` Deprecated.
`void` | `checkListen(int i)` Deprecated.
`void` | `checkMemberAccess(Class c, int i)` Deprecated.
`void` | `checkMulticast(InetAddress i)` Deprecated.
`void` | `checkMulticast(InetAddress i, byte b)` Deprecated.
`void` | `checkPackageAccess(String s)` Deprecated.
`void` | `checkPackageDefinition(String s)` Deprecated.
`void` | `checkPrintJobAccess()` Deprecated.
`void` | `checkPropertiesAccess()` Deprecated.
`void` | `checkPropertyAccess(String s)` Deprecated.
`void` | `checkPropertyAccess(String s, String t)` Deprecated.
`void` | `checkRead(FileDescriptor f)` Deprecated.
`void` | `checkRead(String s)` Deprecated.
`void` | `checkRead(String s, Object o)` Deprecated.
`void` | `checkSecurityAccess(String s)` Deprecated.
`void` | `checkSetFactory()` Deprecated.
`void` | `checkSystemClipboardAccess()` Deprecated.
`boolean` | `checkTopLevelWindow(Object o)` Deprecated.
`void` | `checkWrite(FileDescriptor f)` Deprecated.
`void` | `checkWrite(String s)` Deprecated.

Methods inherited from class java.lang.SecurityManager
`checkPermission, checkPermission, classDepth, classLoaderDepth, currentClassLoader, currentLoadedClass, getClassContext, getInCheck, getSecurityContext, getThreadGroup, inClass, inClassLoader`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RMISecurityManager

    public RMISecurityManager()

  Deprecated.

Method Detail

### assessTrust

    public boolean assessTrust(Object[] o)

  Deprecated.

### checkCreateClassLoader

    public void checkCreateClassLoader()

  Deprecated.
  Overrides:
    `checkCreateClassLoader` in class `SecurityManager`

### checkAccess

    public void checkAccess(Thread t)

  Deprecated.
  Overrides:
    `checkAccess` in class `SecurityManager`

### checkAccess

    public void checkAccess(ThreadGroup t)

  Deprecated.
  Overrides:
    `checkAccess` in class `SecurityManager`

### checkExit

    public void checkExit(int i)

  Deprecated.
  Overrides:
    `checkExit` in class `SecurityManager`

### checkExec

    public void checkExec(String s)

  Deprecated.
  Overrides:
    `checkExec` in class `SecurityManager`

### checkLink

    public void checkLink(String s)

  Deprecated.
  Overrides:
    `checkLink` in class `SecurityManager`

### checkRead

    public void checkRead(FileDescriptor f)

  Deprecated.
  Overrides:
    `checkRead` in class `SecurityManager`

### checkRead

    public void checkRead(String s)

  Deprecated.
  Overrides:
    `checkRead` in class `SecurityManager`

### checkRead

    public void checkRead(String s,
                          Object o)

  Deprecated.
  Overrides:
    `checkRead` in class `SecurityManager`

### checkWrite

    public void checkWrite(FileDescriptor f)

  Deprecated.
  Overrides:
    `checkWrite` in class `SecurityManager`

### checkWrite

    public void checkWrite(String s)

  Deprecated.
  Overrides:
    `checkWrite` in class `SecurityManager`

### checkDelete

    public void checkDelete(String s)

  Deprecated.
  Overrides:
    `checkDelete` in class `SecurityManager`

### checkConnect

    public void checkConnect(String s,
                             int i)

  Deprecated.
  Overrides:
    `checkConnect` in class `SecurityManager`

### checkConnect

    public void checkConnect(String s,
                             int i,
                             Object o)

  Deprecated.
  Overrides:
    `checkConnect` in class `SecurityManager`

### checkListen

    public void checkListen(int i)

  Deprecated.
  Overrides:
    `checkListen` in class `SecurityManager`

### checkAccept

    public void checkAccept(String s,
                            int i)

  Deprecated.
  Overrides:
    `checkAccept` in class `SecurityManager`

### checkMulticast

    public void checkMulticast(InetAddress i)

  Deprecated.
  Overrides:
    `checkMulticast` in class `SecurityManager`

### checkMulticast

    public void checkMulticast(InetAddress i,
                               byte b)

  Deprecated.
  Overrides:
    `checkMulticast` in class `SecurityManager`

### checkPropertiesAccess

    public void checkPropertiesAccess()

  Deprecated.
  Overrides:
    `checkPropertiesAccess` in class `SecurityManager`

### checkPropertyAccess

    public void checkPropertyAccess(String s)

  Deprecated.
  Overrides:
    `checkPropertyAccess` in class `SecurityManager`

### checkPropertyAccess

    public void checkPropertyAccess(String s,
                                    String t)

  Deprecated.

### checkTopLevelWindow

    public boolean checkTopLevelWindow(Object o)

  Deprecated.
  Overrides:
    `checkTopLevelWindow` in class `SecurityManager`

### checkPrintJobAccess

    public void checkPrintJobAccess()

  Deprecated.
  Overrides:
    `checkPrintJobAccess` in class `SecurityManager`

### checkSystemClipboardAccess

    public void checkSystemClipboardAccess()

  Deprecated.
  Overrides:
    `checkSystemClipboardAccess` in class `SecurityManager`

### checkAwtEventQueueAccess

    public void checkAwtEventQueueAccess()

  Deprecated.
  Overrides:
    `checkAwtEventQueueAccess` in class `SecurityManager`

### checkPackageAccess

    public void checkPackageAccess(String s)

  Deprecated.
  Overrides:
    `checkPackageAccess` in class `SecurityManager`

### checkPackageDefinition

    public void checkPackageDefinition(String s)

  Deprecated.
  Overrides:
    `checkPackageDefinition` in class `SecurityManager`

### checkSetFactory

    public void checkSetFactory()

  Deprecated.
  Overrides:
    `checkSetFactory` in class `SecurityManager`

### checkMemberAccess

    public void checkMemberAccess(Class c,
                                  int i)

  Deprecated.
  Overrides:
    `checkMemberAccess` in class `SecurityManager`

### checkSecurityAccess

    public void checkSecurityAccess(String s)

  Deprecated.
  Overrides:
    `checkSecurityAccess` in class `SecurityManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD